Web Hosting Geeks | Web Hosting Experts
Need help? Call us 1(866)TOP-HOST

14120 reviews 1680 hosting providers

Questions & Answers

cPanel upgrade RPM error during update

Mar 14, 2013 by darkshark
Hi,

When I tried to update my  cPanel ,MySQL repo fails. I found the bellow error in my update log:
FATAL: Test install failed: file /usr/lib64/libmysqlclient.so.16.0.0 from install of MySQL51-shared-5.1.68-1.cp1136.x86_64 conflicts with file from package MySQL-shared-compat-6.0.11-0.rhel5.x86_64
[20130314.112655] file /usr/lib64/libmysqlclient_r.so.16.0.0 from install of MySQL51-shared-5.1.68-1.cp1136.x86_64 conflicts with file from package MySQL-shared-compat-6.0.11-0.rhel5.x86_64
Can anyone please suggest anything to fix this?
Thanks

3 Answers

0 votes
Mar 14, 2013 by SmartHost
Track down all the conflicted files mentioned in your log and remove them (make sure you make a copy of them in case this caused any issues)
0 votes
Mar 14, 2013 by TopNet
You can change the rpm command like this "rpm -qa | grep -i mysql"  to list all mysql related rpms . then remove it and run thie fixrpm script (/usr/local/cpanel/scripts/check_cpanel_rpms --fix ).
0 votes
Mar 14, 2013 by FixHost